ResinWebXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.caucho.ResinWebXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.caucho
Class ResinWebXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.web.WebXmlSubTask
                          xdoclet.modules.caucho.ResinWebXmlSubTask

All Implemented Interfaces:
  Serializable

public class ResinWebXmlSubTask
extends WebXmlSubTask

Subtask for generation of web.xml with resin extensions.

Author:
  Yoritaka Sakakura (yori@teardrop.org)
See Also:
  Web Application Configuration, Serialized Form
ant.element
  name="resin-web-xml" parent="xdoclet.modules.web.WebDocletTask" display-name="Resin"
created
  June 5, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.modules.web.WebXmlSubTask
`WebXmlSubTask.ContextParam, WebXmlSubTask.ServletVersionTypes, WebXmlSubTask.TagLib, WebXmlSubTask.WelcomeFile`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.modules.web.WebXmlSubTask
`contextParams, description, displayName, distributable, largeIcon, servletSpec, sessionTimeout, smallIcon, tagLibs, welcomeFiles`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`ResinWebXmlSubTask()`

Method Summary
`String` | `getAppDir()` web-app/app-dir
`String` | `getCharEncoding()` web-app/character-encoding
`String` | `getClassUpdateInterval()` web-app/class-update-interval
`String` | `getConfigUpdateInterval()` web-app/config-update-interval
`String` | `getDirectoryServlet()` web-app/directory-servlet
`String` | `getGenerateSourceComments()` Whether or not to include an xml comment for each xdoclet-generated element pointing back to the originating class/method; default true.
`String` | `getId()` web-app/id
`String` | `getLazyInit()` web-app/lazy-init
`String` | `getSearchForConfigElements()` Whether or not iterate over all classes in search for configuration other than filters, filter-mappings, listeners, servlets, and servlet-mappings; default true.
`String` | `getSecure()` web-app/secure
`String` | `getTempDir()` web-app/temp-dir
`String` | `getUrlRegexp()` web-app/url-regexp
`String` | `getUseStandardMergeFiles()` Whether or not to use the top-level merge points defined in the standard web_xml.j; default true.
`String` | `getWorkDir()` web-app/work-dir
`void` | `setAppDir(String appDir)`
`void` | `setCharEncoding(String encoding)`
`void` | `setClassUpdateInterval(String classUpdateInterval)`
`void` | `setConfigUpdateInterval(String configUpdateInterval)`
`void` | `setDirectoryServlet(String directoryServlet)`
`void` | `setGenerateSourceComments(String generate)`
`void` | `setId(String id)`
`void` | `setLazyInit(String lazyInit)`
`void` | `setSearchForConfigElements(String searchForConfigElements)`
`void` | `setSecure(String secure)`
`void` | `setTempDir(String tempDir)`
`void` | `setUrlRegexp(String regexp)`
`void` | `setUseStandardMergeFiles(String useStandardMergeFiles)`
`void` | `setWorkDir(String workDir)`

Methods inherited from class xdoclet.modules.web.WebXmlSubTask
`addConfiguredContextparam, addConfiguredTaglib, addConfiguredWelcomefile, engineStarted, execute, getContextParams, getDescription, getDisplayname, getDistributable, getLargeicon, getServletspec, getSessiontimeout, getSmallicon, getTagLibs, getWelcomeFiles, setContextParams, setDescription, setDisplayname, setDistributable, setLargeicon, setServletspec, setSessiontimeout, setSmallicon, setTagLibs, setWelcomeFiles`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResinWebXmlSubTask

    public ResinWebXmlSubTask()

Method Detail

### getAppDir

    public String getAppDir()

  web-app/app-dir

  Returns:

### getCharEncoding

    public String getCharEncoding()

  web-app/character-encoding

  Returns:

### getClassUpdateInterval

    public String getClassUpdateInterval()

  web-app/class-update-interval

  Returns:

### getConfigUpdateInterval

    public String getConfigUpdateInterval()

  web-app/config-update-interval

  Returns:

### getDirectoryServlet

    public String getDirectoryServlet()

  web-app/directory-servlet

  Returns:

### getGenerateSourceComments

    public String getGenerateSourceComments()

  Whether or not to include an xml comment for each xdoclet-generated element pointing back to the originating class/method; default true.

  Returns:

### getId

    public String getId()

  web-app/id

  Returns:

### getLazyInit

    public String getLazyInit()

  web-app/lazy-init

  Returns:

### getSearchForConfigElements

    public String getSearchForConfigElements()

  Whether or not iterate over all classes in search for configuration other than filters, filter-mappings, listeners, servlets, and servlet-mappings; default true.

  Returns:

### getSecure

    public String getSecure()

  web-app/secure

  Returns:

### getTempDir

    public String getTempDir()

  web-app/temp-dir

  Returns:

### getUrlRegexp

    public String getUrlRegexp()

  web-app/url-regexp

  Returns:

### getUseStandardMergeFiles

    public String getUseStandardMergeFiles()

  Whether or not to use the top-level merge points defined in the standard web_xml.j; default true.

  Returns:

### getWorkDir

    public String getWorkDir()

  web-app/work-dir

  Returns:

### setAppDir

    public void setAppDir(String appDir)

### setCharEncoding

    public void setCharEncoding(String encoding)

### setClassUpdateInterval

    public void setClassUpdateInterval(String classUpdateInterval)

### setConfigUpdateInterval

    public void setConfigUpdateInterval(String configUpdateInterval)

### setDirectoryServlet

    public void setDirectoryServlet(String directoryServlet)

### setGenerateSourceComments

    public void setGenerateSourceComments(String generate)

### setId

    public void setId(String id)

### setLazyInit

    public void setLazyInit(String lazyInit)

### setSearchForConfigElements

    public void setSearchForConfigElements(String searchForConfigElements)

### setSecure

    public void setSecure(String secure)

### setTempDir

    public void setTempDir(String tempDir)

### setUrlRegexp

    public void setUrlRegexp(String regexp)

### setUseStandardMergeFiles

    public void setUseStandardMergeFiles(String useStandardMergeFiles)

### setWorkDir

    public void setWorkDir(String workDir)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD